Bug 110689 - Unable to launch any OOo components after initial ws install with LANG=et_EE.UTF-8
Unable to launch any OOo components after initial ws install with LANG=et_EE....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 09:34 EST by Antti Andreimann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 13:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antti Andreimann 2003-11-23 09:34:16 EST
Description of problem:
After initial execution and user .openoffice dir creation any OOo
application will pop up filter selection dialog and refuses to run.
Only running ooffice itself from command line will work.
The bug seems to be in handling the private:factory/<app> argument to OOo.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-6

How reproducible:
Always

Steps to Reproduce:
[peeter@testkast peeter]$ oowriter
Checking for existing user installation ...   ...   NOT FOUND
Performing first-time installation for user ...   ...   DONE
Starting OpenOffice.org ...
=============> Works as expected <==================
[peeter@testkast peeter]$ oowriter
Starting OpenOffice.org ...
=============> Pops up filter dialog <==============


Additional info:
[peeter@testkast peeter]$ export LANG=C
[peeter@testkast peeter]$ oowriter
Checking for existing user installation ...   ...   NOT FOUND
Performing first-time installation for user ...   ...   DONE
Starting OpenOffice.org ...
=============> Works as expected <==================
[peeter@testkast peeter]$ cp -r .openoffice .openoffice.old
[peeter@testkast peeter]$ export LANG=et_EE.UTF-8
[peeter@testkast peeter]$ oowriter
Starting OpenOffice.org ...
=============> Pops up filter dialog <==============
[peeter@testkast peeter]$ diff -ru .openoffice.old .openoffice
=======>crap about binary files differing deleted<=======
diff -ru .openoffice.old/user/registry/data/org/openoffice/Setup.xcu
.openoffice/user/registry/data/org/openoffice/Setup.xcu
--- .openoffice.old/user/registry/data/org/openoffice/Setup.xcu
2003-11-23 16:06:54.000000000 +0200
+++ .openoffice/user/registry/data/org/openoffice/Setup.xcu    
2003-11-23 16:07:03.000000000 +0200
@@ -1,5 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <oor:component-data xmlns:oor="http://openoffice.org/2001/registry"
xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Setup"
oor:package="org.openoffice">
+    <node oor:name="L10N">
+      <prop oor:name="ooLocale" oor:type="xs:string">
+        <value>et-EE</value>
+      </prop>
+    </node>
  <node oor:name="L10N">
   <prop oor:name="ooLocale" oor:type="xs:string">
    <value>en-US</value>
Comment 1 Dan Williams 2003-12-04 10:57:40 EST
Estonian is not a language that ships with support in Fedora's OOo. 
When you patch the Setup.xcu file, OOo does not actually come up in
Estonian, does it?  Or does it simply come up in English, but
successfully?
Comment 2 Dan Williams 2004-09-18 14:01:39 EDT
should be fixed in 1.1.2-5, coming soon.
Comment 3 Dan Williams 2004-09-25 15:50:22 EDT
While the Estonian translation is not part of OOo, it will launch now
with 1.1.2-5.

Please test with the openoffice.org-1.1.2-5 RPMs in Rawhide.  If the
problem persists, please reopen this bug.  Thanks!
Comment 4 Caolan McNamara 2004-11-03 13:17:25 EST
closing, reopen is persists with aforementioned version or above.

Note You need to log in before you can comment on or make changes to this bug.